block = class("block")

function block:initialize(x, y, color, offsetX, offsetY)
	self.x = x
	self.y = y

	self.width = 16
	self.height = 16

	self.rotationValue = 0

	self.offsetX = offsetX
	self.offsetY = offsetY
end

function block:update(dt)
	
end

function block:draw()
	love.graphics.push()

	--love.graphics.rotate(self.rotationValue)

	love.graphics.setColor(255, 255, 255)

	love.graphics.rectangle("line", self.x * scale, self.y * scale, self.width * scale, self.height * scale)

	love.graphics.pop()
end

function block:setRotation(x, y, angle, i, offsetX, offsetY)
	local addX = x + self.offsetX
	local addY = y + self.offsetY

	self.x = addX + math.cos(angle)
	self.y = addY + math.sin(angle)
end